import bb.cascades 1.4
import QtQuick 1.0
Sheet{
    id: root
    property string urlToSave
    property string newURL
     onCreationCompleted: {open();}
     function getURL(){
         
         urlBox.text;
         console.log(newURL)
         if(getFileType(newURL)==="m3u"){type="m3u";cont.activityIndicatorVisible=true;
             console.log("M3U detected" + newURL);downloadManager.download(newURL, _app.homePath()+"/m3ufile.m3u")
         }
         else if((getFileType(newURL)==="pls")){type="pls";
           cont.activityIndicatorVisible=true;
             console.log("PLS detected" + newURL);downloadManager.download(newURL, _app.homePath()+"/plsfile.pls")
         
         
         
         }
         else{
             urlToSave=urlBox.text
             
             _customStations.addToJson(titleBox.text, urlToSave,"" , "", "") ;
            root.close();root.destroy(500);
         }
     
     }
     attachedObjects:[
         Connections{
             target: _app
             onM3uFileData:{console.log("cccccccccccccc " + data); _app.deleteFile(_app.homePath()+"/m3ufile.m3u"); urlToSave=data;
             
                 _customStations.addToJson(titleBox.text, urlToSave, "", "", "") ;root.close();root.destroy(500);

             }
         },
         Connections {
             target: downloadManager
             onDownloadCompletedInternal:{
                 if(type==="m3u"){ _app.testU(_app.homePath()+"/m3ufile.m3u")}
                 else if(type==="pls"){var url= _app.plsFile(_app.homePath()+"/plsfile.pls"); console.log( _app.plsFile(_app.homePath()+"/plsfile.pls"));_app.deleteFile(_app.homePath()+"/plsfile.pls");urlToSave=data; 
                  
                     _customStations.addToJson(titleBox.text, urlToSave, "", "", "") ;  root.close();root.destroy(500);


                 }  }
         }]
Page {
    titleBar: TitleBar {
        title: "Custom Radio Station"
        dismissAction: ActionItem {
            title: "Close"
            onTriggered: {
                root.close(); root.destroy(500)
            }
        }
        acceptAction: ActionItem {
            title: "Save"
            onTriggered: {
                if(titleBox.text.length===0){toast.showText("Please Enter A Station Name")}
                else if(urlBox.text.length===0){toast.showText("Please Enter A Station URL")}
                else{
                getURL();}
            }
        }
    }
    Container {
        id: cont
        layout: StackLayout {}
              Container{ topMargin: 15;TextField {
           clearButtonVisible: true
           id: titleBox
           hintText: "Name of Radio Station"
        }}
               Container {
                   topMargin: 15
                   TextField {
            clearButtonVisible: true
            id: urlBox
            hintText: "URL of Radio Station"
        }}
    Container {
        property bool activityIndicatorVisible
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        
        ActivityIndicator {
            id: activity
            visible: true
            running: parent.activityIndicatorVisible?true:false
            minHeight: passport ? 170 : 150
            minWidth: passport ? 170 : 150
        }
    }
        
        
    }
}
}