import bb.system 1.0
import bb.cascades 1.0
import timer 1.0

Container {
    id: cont
    onCreationCompleted: {dio.show();}
    attachedObjects: [
    SystemDialog{
        id: dio
        title: qsTr("Error")
        body: qsTr("Star Player did not close properly, if this was not intentional please press the report button to contact us")
        buttonAreaLimit: 2
        confirmButton.label: qsTr("Report")
        confirmButton.enabled: true
        cancelButton.label: qsTr("Ignore")
        cancelButton.enabled: true
        customButton.label: "Enable Debugging"
        customButton.enabled:appsettings.getSystemSetting("logToFile", "")===""?true:false
        onFinished: {
            if(result == SystemUiResult.ConfirmButtonSelection) {openBugReport();}
            else if (result == SystemUiResult.CancelButtonSelection) {
                cancel();
            }
            else if(buttonSelection().label==="Enable Debugging"){ if(appsettings.getSystemSetting("logToFile", "")===""){
                    appsettings.saveSystemSetting("logToFile", "true"); _app.showGlobalToast("Debugging enabled, App will save logs to Device Memory/Documents/starplayerlog.txt\nRestart App to take effect")
            }
            else{ appsettings.saveSystemSetting("logToFile", "");_app.showGlobalToast("Debugging disabled, Restart to apply changes\nLog file will be automatically removed."); _app.deleteFile("/accounts/1000/shared/documents/starplayerlog.txt")}}
        }
    },
    
    SystemTimer{
        id: closeTimer; interval: 50000; onTimeout: {
            dio.cancel();closeTimer.stop();cont.destroy();
        }
    }

]
}