import bb.cascades 1.4
import timer 1.0
import "Custom"
Sheet{id:sheet
    onCreationCompleted: {open();autoStationDownloadTimer.start();
}
attachedObjects: [SystemTimer{id: closeTimer; interval: 200; onTimeout: {
            closeTimer.stop();showStartUI() ; sheet.close();
}},
SystemTimer{
            id: autoStationDownloadTimer; interval: 600; onTimeout: {
                autoStationDownloadTimer.stop();
                
                if(_app.checkFileExists(_app.homePath()+"/InternetRadioStationsModelUK.xml")===false){creator.createQMLObject("InternetRadioModelDownloader.qml");updateInternetStations();}
            }}
]
Page {
    titleBar: TitleBar {
        title: "Select Country"
        dismissAction: ActionItem {
            title: "Close"
            onTriggered: {
                sheet.close();
                if(audioSource==="")resetCarModeUI();
            }
        }
    }
    Container {
        PlaylistItemCarMode {
            imageEnabled:false
            opacity: nightMode?0.8:1.0
            quickDeleteActive: false
            miniMode: true
            title: "Custom Stations"
            onClicked: {
                carmodeInternetRadioModelTitle=title;
                customStationsView=true
                creator.createQMLObject("CarModeInternetRadioStationSelector.qml");
                closeTimer.start();
            }
        }
      PlaylistItemCarMode {
          imageEnabled:false
          opacity: nightMode?0.8:1.0
          quickDeleteActive: false
          miniMode: true
          title: "UK Stations"
          onClicked: {
              carmodeInternetRadioModelTitle=title;
              carmodeInternetRadioModelURL="file://" +_app.homePath()+"/InternetRadioStationsModelUK.xml" ;
              creator.createQMLObject("CarModeInternetRadioStationSelector.qml");
              closeTimer.start();
          }
      }  
      PlaylistItemCarMode {
          imageEnabled:false
          opacity: nightMode?0.8:1.0
          quickDeleteActive: false
          miniMode: true
          title: "German Stations"
          onClicked: {
              carmodeInternetRadioModelTitle=title;

              carmodeInternetRadioModelURL="file://" +_app.homePath()+"/InternetRadioStationsModelGermany.xml"
              creator.createQMLObject("CarModeInternetRadioStationSelector.qml");
              closeTimer.start();
          }
      }  
      PlaylistItemCarMode {
          imageEnabled:false
          opacity: nightMode?0.8:1.0
          quickDeleteActive: false
          miniMode: true
          title: "French Stations"
          onClicked: { 
              carmodeInternetRadioModelTitle=title;

              carmodeInternetRadioModelURL="file://" +_app.homePath()+"/InternetRadioStationsModelFrance.xml"
              creator.createQMLObject("CarModeInternetRadioStationSelector.qml");
              closeTimer.start();
          }
      }  
      PlaylistItemCarMode {
          imageEnabled:false
          opacity: nightMode?0.8:1.0
          quickDeleteActive: false
          miniMode: true
          title: "Spanish Stations"
          onClicked: {
              carmodeInternetRadioModelTitle=title;

              carmodeInternetRadioModelURL="file://" +_app.homePath()+"/InternetRadioStationsModelSpain.xml"
              creator.createQMLObject("CarModeInternetRadioStationSelector.qml");
              closeTimer.start();
          }
      }  
      PlaylistItemCarMode {
          imageEnabled:false
          opacity: nightMode?0.8:1.0
          quickDeleteActive: false
          miniMode: true
          title: "Canadian Stations"
          onClicked: {
              carmodeInternetRadioModelTitle=title;

              carmodeInternetRadioModelURL="file://" +_app.homePath()+"/InternetRadioStationsModelCanada.xml"
              creator.createQMLObject("CarModeInternetRadioStationSelector.qml");
              closeTimer.start();
          }
      }  
      PlaylistItemCarMode {
          imageEnabled:false
          opacity: nightMode?0.8:1.0
          quickDeleteActive: false
          miniMode: true
          title: "Italian Stations"
          onClicked: {
              carmodeInternetRadioModelTitle=title;

              carmodeInternetRadioModelURL="file://" +_app.homePath()+"/InternetRadioStationsModelItalian.xml"
              creator.createQMLObject("CarModeInternetRadioStationSelector.qml");
              closeTimer.start();
          }
      }  
      PlaylistItemCarMode {
          imageEnabled:false
          opacity: nightMode?0.8:1.0
          quickDeleteActive: false
          miniMode: true
          title: "US Stations"
          onClicked: {
              carmodeInternetRadioModelTitle=title;

              carmodeInternetRadioModelURL="file://" +_app.homePath()+ "/InternetRadioStationsModelUS.xml" 
              creator.createQMLObject("CarModeInternetRadioStationSelector.qml");
              closeTimer.start();
          }
      }  
      PlaylistItemCarMode {
          imageEnabled:false
          enabled: stationUpdateCount<5?true:false

          opacity: nightMode?0.8:1.0
          quickDeleteActive: false
          miniMode: true
          title: "Update Internet Radio Stations"
          onClicked: {
              stationUpdateCount+=1; creator.createQMLObject("InternetRadioModelDownloader.qml");updateInternetStations();
          }
      }
      
    }
}
}