import bb.system 1.2
import bb.cascades 1.4
Container {
    onCreationCompleted: {
        dio.show();
    }
    attachedObjects: 
SystemDialog{
    id: dio
    title:qsTr( "Delete")
    body: qsTr("Delete File? (") +fileToBeDeletedTitle + ")"
    buttonAreaLimit: 2
    confirmButton.label: qsTr("Yes")
    confirmButton.enabled: true
    cancelButton.label: qsTr("Cancel")
    cancelButton.enabled: true
    property string boberr:fileToBeDeletedURL
    onFinished: {
        if(result == SystemUiResult.ConfirmButtonSelection) {_app.deleteFile(boberr.replace("file:///", ""));
        }
        else if (result == SystemUiResult.CancelButtonSelection) {
            dio.cancel();
        }
    }
}
}