import bb.cascades 1.4
import bb.platform 1.3
import QtQuick 1.0

Sheet {
onCreationCompleted: open();    
id: details
peekEnabled: true
Page {
id: page
property string osversion

attachedObjects:  [
    Invocation{
        id: email;
        query.mimeType: "text/plain";query.invokeTargetId: "sys.pim.uib.email.hybridcomposer";query.invokeActionId: "bb.action.SENDEMAIL"
        onArmed: {email.trigger(email.query.invokeActionId); } },
    
    ComponentDefinition {id: device; content: PlatformInfo {
            id: info
            Component.onCompleted: {
                page.osversion= info.osVersion
                console.log("OS VERSION", page.osversion)
            }
        
           
    }}

]
titleBar: TitleBar {
appearance: TitleBarAppearance.Branded
title:qsTr( "Contact")
dismissAction: ActionItem {
id: closeAction
enabled: true
title: qsTr("Close") 

onTriggered: {
close();details.destroy();


}
}
acceptAction: ActionItem {
    title: qsTr("Proceed")
    onTriggered: {
     
            if(textArea.text.length<30)toast.showText(qsTr("Message too short, please revise your message."))
        else{
            device.createObject();email.query.uri = "mailto:contact@allstarsoftware.co.uk?subject=Contact Star Player BlackBerry 10&body=" + textArea.text +"\n\n\n"+"App Version: " + Application.applicationVersion+ betaVersion + "\n" +"Device: "+  hardwareInfo.modelName + "-" +  hardwareInfo.modelNumber+ "\n"  + "OS Version: " + page.osversion + "\n" +"File System Access: " +_app.checkSharedFiles() + "\n" +"Media Card Present: " +_app.checkSDCard() + "\n"+ "Internet Radio List Present: " + _app.checkFileExists(_app.homePath()+"/InternetRadioStationsModelUS.xml" ); email.query.updateQuery();close();
        }
            }
    

}
}

ScrollView {

Container{
horizontalAlignment: HorizontalAlignment.Fill
verticalAlignment: VerticalAlignment.Fill
layout: StackLayout {}
Container {
    opacity: nightMode?0.8:1
    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Top
    topPadding: 5
    Label {
        multiline: true
        textFormat: TextFormat.Html
        text: qsTr("<html>The Hub will open to send your final Email\n\n<font color='#FF0000'><b>Please note that Star Player has been discontinued as of February 2018, only low level support will be provided.</b></font> </html>")
    }
    
}Container {
    topPadding: 10

Header {
    title:qsTr( "Please Enter your message below:")
}
}
Container {
    topPadding: 5
    TextArea {
     id: textArea
 minHeight: 300
 hintText:  qsTr("Device And App Information will be automatically included")
    }
}

}

}
}
}


