import bb.cascades 1.4
import timer 1.0

Container {
    id: root
    property string type:""
    property alias defaultIMG: img.defaultImageSource
    signal clicked
    signal held
    touchPropagationMode: TouchPropagationMode.PassThrough

    Container {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        opacity:mediaFormat==="Audio"?1:  nightMode? showControls?0.6:0:  showControls?0.8:0
        ImageButton {

            id: img
            gestureHandlers:[ LongPressHandler {
                onLongPressed: {
                    held();
                }
            }, TapHandler {
                onTapped: {
                    clicked();
                }
            }
            
            ]
            
            
           
        }
    }
}