import bb.cascades 1.4
import timer 1.0

    Container {
        id: root
       background: brightTheme? Color.White: Color.Black
       horizontalAlignment: HorizontalAlignment.Fill
       verticalAlignment: VerticalAlignment.Fill
       minHeight: _app.screenHeight()
       minWidth: _app.screenWidth()
       opacity: 0.9
       animations:  FadeTransition {
           id: fadeOut
           fromOpacity: 0.9
           toOpacity: 0.0
           duration: 1500
           onEnded: {appsettings.saveSystemSetting("carModeExtendedHint", "true"); root.destroy(1500)}
       }
       onCreationCompleted: {
           if(themeValue===""){themeValue="#0092cc"}
        colourchanger.start();
       }
       attachedObjects: [SystemTimer {
           id: colourchanger; interval: 600; onTimeout: {
               colourchanger.stop(); label1.textStyle.setColor(Color.create(themeValue)); step2.start();
           }
               
       },
       
       SystemTimer {
           id: step2; interval: 1600; onTimeout: {
               step2.stop(); label1.textStyle.setColor(Color.White); label.textStyle.setColor(Color.create(themeValue)); step3.start();
           }
       },
       SystemTimer {
           id :step3;interval: 1600; onTimeout: {
               step3.stop();label.textStyle.setColor(Color.White); fadeOut.play();
           }
       }
   ]
       layout: DockLayout {
           
       }
       Container {
           
           horizontalAlignment: HorizontalAlignment.Center
           verticalAlignment: VerticalAlignment.Top
           topPadding: 20
           
           Label {
               id:label
               
               textStyle{
                   color: brightTheme? Color.Black: Color.White
                   fontSize: FontSize.PointValue
                   fontSizeValue: passport?15:14 
                   fontWeight: FontWeight.Bold}
               text: "00:00"  + " / " + "00:00"
           }
       }
       Container {
           horizontalAlignment: HorizontalAlignment.Center
           verticalAlignment: VerticalAlignment.Center
           
           Label {
               id:label1
               multiline: true
               
               textStyle{
                   color: brightTheme? Color.Black: Color.White
                   fontSize: FontSize.PointValue
                   fontSizeValue: passport?12:11 
                   fontWeight: FontWeight.Bold}
               text: "Tap the elapsed time to show extended controls"
           }
       }
    

    }

