import bb.cascades 1.4
import QtQuick 1.0
import timer 1.0


Container {
    id: root
    function startVis(){
        console.log("Starting");opacity=1;
       colourLoop.start();opLoop.start();currentVisualisation=visualisationNumber
    }
    property int visualisationNumber: 2

    opacity: 0
    gestureHandlers: TapHandler {
        onTapped: {
            engine.toggleMenu();
        }
    }
    attachedObjects:[
     Connections {
      target: engine
      onForceStop:{opLoop.stop(); colourLoop.stop();root.visible=false;} //obviously program these as we go along
       onStop:{opLoop.stop(); colourLoop.stop(); root.opacity=0}//obviously program these as we go along
   },
     SystemTimer {
       interval: 800; id:opLoop; onTimeout: {
           opacity=0
       }  
     },
    SystemTimer {
        id: colourLoop; interval: 1500; onTimeout: {
            background=Color.create(changeColour() ); opacity=1
        }}
    
    ]
    background: Color.create(changeColour())
    minHeight:_app.screenHeight();
    minWidth: _app.screenWidth();
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    layout: DockLayout {}
    visible: true
   
    function changeColour(){
        var letters = '0123456789ABCDEF'.split('');
        var color = '#';
        for (var i = 0; i < 6; i++ ) {
            color += letters[Math.round(Math.random() * 15)];
        }
        return color;
    
    }

}
