import bb.cascades 1.4
import QtQuick 1.0


    Container {
        id: dot
        visible: true
        onCreationCompleted: {
            dotCount++
        }
        attachedObjects: Connections {
            target: roote
            onKillDots:{roote.remove(dot) ;dot.destroy(); dotCount--}
        }
        background: Color.create(changeColour());
        //    function changeColour() {
          //  var color = Math.floor(0x1000000 * Math.random()).toString(16);
           // return '#' + ('000000' + color).slice(-6);
       // }
        function changeColour(){
            var letters = '0123456789ABCDEF'.split('');
            var color = '#';
            for (var i = 0; i < 6; i++ ) {
                color += letters[Math.round(Math.random() * 15)];
            }
            return color;
        
        }
        
        minHeight: 5
        minWidth: 5
        translationX: Math.floor(Math.random() * (_app.screenWidth() - 1 + 1)) + 1
        translationY: Math.floor(Math.random() * (_app.screenHeight() - 1 + 1)) + 1 
    }
