import bb.cascades 1.4

ImageView {
    opacity:1
    id:image
    visible: true
    property double customFadeInValue
    property double customFadeOutValue

    property int customDurationValue
    
    property bool animation:false
    
    animations: [
        FadeTransition {
            id: fadeOut
            fromOpacity: 1
            toOpacity:  customFadeOutValue?customFadeOutValue: 0.0

            duration: customDurationValue? customDurationValue:1000
            onEnded: {fadeIn.play();}
        },
        FadeTransition {
            id: fadeIn
            fromOpacity: 0.0
            toOpacity: customFadeInValue?customFadeInValue: 1
            duration: customDurationValue? customDurationValue:1000

            onEnded: {
                fadeOut.play();
            }
        }
    ]
    function flash(){fadeOut.play(); }
    function stopFlash(){fadeIn.stop();fadeOut.stop();}
}