import bb.cascades 1.4
import timer 1.0


    Container {
        id:  pulldownhelp
        onTouch: {
            if(event.isUp()){fadeOut.play(); pulldownhelp.destroy(600);}
        }
        onCreationCompleted: { fadeIn.play();}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top
        background: Color.Black
        minHeight: 120
        opacity: 0
        attachedObjects:[ SystemTimer {
            id: closeTimer; interval: 5000; onTimeout: {
                fadeOut.play(); pulldownhelp.destroy(600);
            }

        }
        ]
        
        animations:[ FadeTransition {
                id: fadeIn
                fromOpacity: 0
                toOpacity:0.8
                duration: 800
                onEnded: {closeTimer.start()}},
            FadeTransition {
                id: fadeOut
                fromOpacity: 0.8
                toOpacity: 0
                duration: 500
                onEnded: { 
                }
            }
        
        ]
        layout: DockLayout {}
        
        Container {
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Center
            leftPadding: 5
            maxWidth:pixelWidth==""? originalPixelWidth-150: pixelWidth-150
            Label {
                textStyle {
                    fontSize: FontSize.PointValue
                    fontSizeValue: passport? 7:6
                    base: SystemDefaults.TextStyles.SmallText
                }
                text: qsTr("Slide Down from the Top Edge to Access Settings and Help")
                multiline: true
            }
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Right
            verticalAlignment: VerticalAlignment.Center
            rightPadding: 5
            ImageView {
                imageSource: "asset:///images/point.png"
            }
        }
        Divider {verticalAlignment: VerticalAlignment.Bottom}
    }

