import bb.cascades 1.4

Container {
    signal clicked
    signal held
    visible:true
    opacity: nightMode?0.8:0.95
    property alias text: label.text
    horizontalAlignment: HorizontalAlignment.Fill
    function decideColour() {
        console.log(themeValue)
        if(nightMode) return Color.Black
        
        else if (themeValue === ""){return Color.create("#0092cc")}
        
       else if (themeValue === "#0092cc") {
           return Color.create("#0092cc")
        } else if (themeValue === "red") {
           return Color.Red
        } else if (themeValue === "#0000ff") {
           return Color.create("#0000ff")
        } else if (themeValue === "#F52887") {
            return Color.create("#F52887")
        } else if (themeValue === "#ff00ff") {
        return Color.create("#ff00ff")
        } else if (themeValue === "#9900ff") {
            return Color.create("#9900ff")
        }
    }
    background:decideColour();
   
   
    minHeight: 74
    layout: DockLayout {
    
    }
    maxHeight: minHeight
    gestureHandlers:[TapHandler {
        onTapped: {clicked();  }
    }
    ]
    
    
    Container {
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        leftPadding: 10
        rightPadding: 10 
        
        Label {
            id: label
            textStyle.color: brightTheme? Color.Black: Color.White
            multiline: true
            
            
        }
    }
}