import bb.cascades 1.4
import bb.system 1.0
import bb.platform 1.0

Container {
    id: cont
    onCreationCompleted: {
        prompt.show();
    }
    attachedObjects: SystemPrompt {
        id: prompt
    
        modality: SystemUiModality.Application
        inputField.inputMode: SystemUiInputMode.Default
        title: "Save Favourite"
        inputField.defaultText:  mediaFormat==="Audio"?  metaDataTitle===""? metaDataFileName: metaDataArtist+ " - "+ metaDataTitle :metaDataTitle===""? metaDataFileName: metaDataTitle
        inputField.emptyText:  "Favourite Name"
        confirmButton.label: "Save"
        //includeRememberMe:  mediaFormat==="InternetRadioStation"?false:artWorkURI===""?false:true
       // rememberMeText: "Include Media Thumbnail"
        
        cancelButton.label: "Cancel"
    
        onFinished: {
            if(result== SystemUiResult.ConfirmButtonSelection) {_app.addToJson(inputFieldTextEntry(), mediaFormat==="InternetRadioStation"? internetRadioSource:audioSource, artWorkUriNonMod, metaDataDuration, sourceStreamed? "Stream":mediaFormat); toast.showText("Favourite Added: "+ inputFieldTextEntry())}
            else{prompt.cancel(); cont.destroy();}
        }
    }
}
