import bb.system 1.0
import bb.cascades 1.0
import timer 1.0

Container {
    id: cont
    onCreationCompleted: {
        if(appsettings.getSystemSetting("fileDidNotCompletePopup", "")==="false"){
            noPopupTimer.start();

        }
        
        else{
        dio.show(); closeTimer.start();}}
    function getTimeFromMSec(msec) {
        if (msec <= 0 || msec == undefined) {
            return "0:00"
        
        } else {
            var sec = "" + Math.floor(msec / 1000) % 60
            if (sec.length == 1)
                sec = "0" + sec
            
            var hour = Math.floor(msec / 3600000)
            if (hour < 1) {
                return Math.floor(msec / 60000) + ":" + sec
            } else {
                var min = "" + Math.floor(msec / 60000) % 60
                if (min.length == 1)
                    min = "0" + min
                
                return hour + ":" + min + ":" + sec
            }
        }
    }
    attachedObjects: [
        SystemTimer{
            id: closeTimer;
            interval: 300000
            onTimeout: {
                dio.cancel(); cont.destroy(1000);
            }
        },
        SystemTimer {
          id: noPopupTimer; interval: 500; onTimeout: {
              noPopupTimer.stop();
              var bob = appsettings.getSystemSetting("fileDidNotCompletePosition", ""); player.seekTime(bob);player.play(); if(fadeInAudio===true){volFade.start();}

          }  
        },
        
        SystemDialog{
            id: dio
            title:  qsTr("Resume Playback?")
            body:  qsTr("Playback of '") + _app.withoutExtension(originalSource) + "' was stopped at " +getTimeFromMSec(appsettings.getSystemSetting("fileDidNotCompletePosition", ""))
            buttonAreaLimit: 2
            confirmButton.label: qsTr("Continue")
            confirmButton.enabled: true
            cancelButton.label: qsTr("Don't show this again")
            cancelButton.enabled: true
            
            customButton.enabled: true
            customButton.label: qsTr("Start Over")
            onFinished: {
                if(result == SystemUiResult.ConfirmButtonSelection) {
                    var bob = appsettings.getSystemSetting("fileDidNotCompletePosition", ""); player.seekTime(bob);player.play(); if(fadeInAudio===true){volFade.start();}

                }
                else if (result == SystemUiResult.CancelButtonSelection) {
                    cancel();player.play(); if(fadeInAudio===true){volFade.start();}
                    appsettings.saveSystemSetting("fileDidNotComplete", "false")
                }
                else if(result== SystemUiResult.CustomButtonSelection){
                    cancel();player.play(); if(fadeInAudio===true){volFade.start();}
                }
            }
        }]
}