import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Audio Recorder")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource:"voice_recorder.png"
                    }
                }
                Container {
                    leftPadding: 5;rightPadding: 5
                    
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("Star Player has its own small Voice Recorder with minimal options, simply tap the Green Record Button to start the recording and its Red replacement to stop recording.\n\n\nI see a moving Bar at the bottom of my screen, what is it?\n • This is a Level indicator and will increase the louder the input; input is switched to a Headset when inserted (If Supported by the device).\n\n\nIf I minimise Star Player will it continue to record?\n • Yes, Star Player will only stop recording if the OS tells it to, if your device runs out of memory or you Stop it.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
            
            
            }
        }
    }

}