import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Folder Play")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource: "../images/Tutorial/folder.png"
                    }
                }
                Container {
                    topPadding: 25;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("Folder Play allows you to select and play every Video and Audio File inside a folder on your device, it is part of the Playlist Feature.\nYou can optionally include Files in Sub Folders and you can Clear the Playlist Automatically or Add to your Playlist.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
                
            
            }
        }
    }

}