import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Radio Player")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource:"../images/Help/internet_radio_help.png"
                    }
                }
                Container {
                    topPadding: 25;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("The Internet Radio Player is similar to the normal Player in relation to the UI and function, pressing the Back Button will close and stop playbacK and features like the equaliser will continue to function.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                }
                }
                Container {
                    topPadding: 50;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("Please Note that changing the Station from the Player can take a few seconds depending on connection speeds.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 6
                            base: SystemDefaults.TextStyles.PrimaryText
                            color: Color.create("#FF0000")
                        }
                    }
                }
              
            }
        }
    }

}