import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Recording Internet Radio")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource: "../images/Help/internet_radio_help.png"
                    }
                }
                Container {
                    topPadding: 25;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("Star Player can Record Internet Radio Stations, this feature can use double the bandwidth that would normally be used to simply stream the Radio Station and requires a reasonable internet connection speed.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
                Container {
                    topPadding: 50;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text:qsTr( "Please Note that the recording of Internet Radio may have legal implications depending on your location, Allstar Software/Contributors accept no responsibility for your usage of this feature.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 6
                            base: SystemDefaults.TextStyles.PrimaryText
                            color: Color.create("#FF0000")
                        }
                    }
                }
            }
        }
    }

}