import bb.cascades 1.4

Sheet{
    id: db
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title:qsTr( "Launch Do Not Disturb")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();db.destroy();
                }
            }
        }
        ScrollView {
            
            
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource: "silent.png"
                    }
                }
                Container {
                    leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("This Option will place the device into the Do Not Disturb Profile when you open Star Player, allowing you to watch your content without any disturbances.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }

            
            }
        }
    }

}