import bb.cascades 1.4

Sheet{
    id: lyrics
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title:qsTr( "Offline Lyrics Search")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();lyrics.destroy();
                }
            }
        }
        ScrollView {
            
            
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined
                        
                        imageSource: "../images/search_big.png"
                    }
                }
                Container {
                    leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("The Local Lyrics feature will Automatically search for Lyrics files associated with the current playing Track, for Star Player to find the file it needs to have the same file name and be in the same location; for example if the track is named: bobsong.mp3 the lyrics file needs to be named: bobsong.txt\n\nLocal Lyrics does not support any special formatting or automatic scrolling.\n\nThe Lyrics Search button will light up blue when Star Player detects Local Lyrics.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
            
            
            }
        }
    }

}