import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Manage Player Menu")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource: "asset:///images/Help/settings_cog.png"
                    }
                }
                Container {
                    leftPadding: 5;rightPadding: 5
                    
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("The 'Manage Player Menu' Option allows you to hide a majority of the Options that are shown on the Right Overflow menu when you are playing media, it's as simple as uncheck the ones you don't want and press 'Close'.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    Button {
                        color: Color.create(getAppColour())

                   visible:mediaPlaying? false:true
                    text:qsTr( "Manage Player Menu")
                        onClicked:{close(); creator.createQMLObject("PlayerMenuActionItemsSett.qml")}  
                    }
                }
            
            }
        }
    }

}