import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Pinned Media")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource: "pin.png"
                    }
                }
                Container {
                    leftPadding: 5;rightPadding: 5
                    
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("Pinned Media allows you to quickly access Videos, Audio Files, Internet Radio Stations and Playlists all from Star Players Home, They can be managed from the 'Pinned Media' option in Settings.\n\nPinned Media has 2 different Views, the legacy style which supports 5 Items while the newer style supports 15.\n\nThe new style is used by swiping left and right on the Items and supports video previews by long pressing and holding a video")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
Container {
    topPadding: 20
    horizontalAlignment: HorizontalAlignment.Center
    Button {
        opacity: nightMode?0.8:1
        color: Color.create(getAppColour())

        text:qsTr( "Manage Pinned Media")
        onClicked:{close(); creator.createQMLObject("PinnedVideosManage.qml")}  
    }
}
            
            }
        }
    }

}