import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Playlists")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource:"../images/Tutorial/playlist.png"
                    }
                }
                Container {
                    topPadding: 25;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("Star Player Supports an unlimited amount of Playlists which are stored In App and can be exported to a .m3u file.\nThe Player UI will adapt Automatically and Background Playing fully works in Playlist Mode.\nYou can manage all of your Playlists from the Playlists Area located in the Bottom Right Menu in Star Player Home.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    Button {
                        opacity: nightMode?0.8:1
                        color: Color.create(getAppColour())

                        text: qsTr("Playlists")
                        onClicked:{close(); creator.createQMLObject("PlaylistEditor.qml")}
                    }
                }
               
            
            }
        }
    }

}