import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Sleep Timer")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource: "../images/Help/sleep_timer.png"
                    }
                }
                Container {
                    topPadding: 25;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("The Sleep Timer is a easy way to stop your playing Media after a set amount of time, you can perform the following Functions:\n\nPause Media\nStop and close Player\nClose Star Player\nStop Internet Radio Recording\n\nThe Sleep Timer can be managed and turned on/off from the Player Menu.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
                Container {
                    topPadding: 50;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("Please Note that Closing the Player will automatically stop the Sleep Timer")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 6
                            base: SystemDefaults.TextStyles.PrimaryText
                            color: Color.create("#FF0000")
                        }
                    }
                }
            
            }
        }
    }

}