import bb.cascades 1.4

Sheet{
    id: visu
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Visualisations")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();visu.destroy();
                }
            }
        }
        ScrollView {
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined
                        
                        imageSource: "../images/Tutorial/personalize.png"
                    }
                }
                Container {
                    topPadding: 25;  leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("Visualisations are little animations that are designed to give you something to look at while playing Music or Music Videos, instead of the plain Star Player UI.\n\nThey are designed to use as little CPU power as possible so there should not be any performance impact.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
            
            
            }
        }
    }

}