import bb.system 1.2
import bb.cascades 1.4
import QtQuick 1.0
import timer 1.0

Container {
    id: cont
    property string bob
    onCreationCompleted: {dio.show(); dio.cancelButton.enabled=false; dio.cancelButton.label=undefined;
        _app.importM3UPlaylist(importSource);
    }
    
    attachedObjects: [
        SystemTimer{
            id: closetimer;
            interval: 500
            onTimeout: {
                closetimer.stop();
                dio.cancel();
                if(carMode){openCarModePlaylist();}
                else{
                if(playlistEditorOpened){_playlist.updatePlaylistModel();}
                else{
                creator.createQMLObject("PlaylistEditor.qml");}}
            }
        },
        Connections {
            target:_app
            onM3UImportFinished:{bob= qsTr("Finished Adding Files");dio.body=bob; closetimer.start();if(playlistEditorOpened){_playlist.updatePlaylistModel();}}
            onM3UImportItem:{b.length>40? bob=b.substring(0,10):bob=b; dio.body=bob;
            }
        
        },
        SystemDialog{
            id: dio
            title: qsTr("Importing")
            body: qsTr("Importing Media, this may take a while..")
            buttonAreaLimit: 2
            autoUpdateEnabled: true
            activityIndicatorVisible: true
            confirmButton.label: undefined
            cancelButton.label: qsTr("Cancel")
            cancelButton.enabled: true
        
        }
    ]
}