import bb.system 1.2
import bb.cascades 1.4
import QtQuick 1.0

Container {
    id: cont
    onCreationCompleted: { dio.show();}
    
    attachedObjects: [
        Connections {
            target:mainnav
            onDownloadErrorOccured:{console.log("Got signal");dio.autoUpdateEnabled=true;dio.activityIndicatorVisible=false; dio.body=qsTr("An Error Occured while updating Internet Radio Stations"); dio.cancelButton.label=qsTr("OK");cancelInternetStationUpdate();}
            onInternetRadioModelDownloadCompleted:{updateInternetCountryList();dio.cancel();cont.destroy();}
            onInternalDownloadErrorOccured:{console.log("Got signal");dio.autoUpdateEnabled=true;dio.activityIndicatorVisible=false; dio.body=qsTr("An Internal Error Occured while updating Internet Radio Stations, please contact support"); dio.cancelButton.label=qsTr("OK");cancelInternetStationUpdate();}
        },
        SystemDialog{
            id: dio
            title: qsTr("Internet Radio")
            buttonAreaLimit: 2
            body:qsTr( "Updating Internet Radio Stations")
            activityIndicatorVisible: true
            confirmButton.label: undefined
            cancelButton.label: undefined
                //qsTr("Cancel")
            cancelButton.enabled: true
            onFinished: {
                if (result == SystemUiResult.CancelButtonSelection) {internetStationsUpdating=false;dio.cancel();cont.destroy(); }
            }
        }
    ]
}