import bb.system 1.0
import bb.cascades 1.0
import timer 1.0

Container {
    id: cont
    onCreationCompleted: {dio.show();}
    attachedObjects: [
        SystemDialog{
            id: dio
            title:qsTr( "Internet Radio Recording")
            body: qsTr("Please Note that the recording of Internet Radio may have legal implications depending on your location, Allstar Software/Contributors accept no responsibility for your usage of this feature.\n\nThis Feature requires a stable and quick Internet Connection.")
            buttonAreaLimit: 2
            confirmButton.label: qsTr("Record")
            confirmButton.enabled: true
            cancelButton.label: qsTr("Cancel")
            cancelButton.enabled: true
            onFinished: {
                if(result == SystemUiResult.ConfirmButtonSelection) { recordInternetRadio();}
                else if (result == SystemUiResult.CancelButtonSelection) {
                    cancel();
                }
            }
        },
        
        SystemTimer{
            id: closeTimer; interval: 50000; onTimeout: {
                dio.cancel();closeTimer.stop();cont.destroy();
            }
        }
    ]
}