import bb.cascades 1.4
import bb.system 1.2
import bb.platform 1.0
import timer 1.0
import QtQuick 1.0
Container {
    id: cont
    property string newURL
    property string type
    onCreationCompleted: {
        prompt.show();
    }
    
    
    function openStream(){

        newURL=prompt.inputFieldTextEntry();
        console.log(newURL)
        if(getFileType(newURL)==="m3u"){type="m3u";prompt.activityIndicatorVisible=true;
        console.log("M3U detected" + newURL);downloadManager.download(newURL, _app.homePath()+"/m3ufile.m3u")
        }
        else if((getFileType(newURL)==="pls")){type="pls";
            prompt.activityIndicatorVisible=true;
            console.log("PLS detected" + newURL);downloadManager.download(newURL, _app.homePath()+"/plsfile.pls")
           

            
        }
        else{
            closeInternetRadioList();prompt.cancel();activity.running=true;activity.visible=true;internetRadioOpenDelay.start();internetRadioActive=true ;internetRadioSource=prompt.inputFieldTextEntry(); appsettings.saveSystemSetting("lastStreamedURLWebRadio", prompt.inputFieldTextEntry());
        }

    }
    attachedObjects:[
        Connections{
            target: _app
            onM3uFileData:{console.log("cccccccccccccc " + data); _app.deleteFile(_app.homePath()+"/m3ufile.m3u"); 
                closeInternetRadioList();prompt.cancel();activity.running=true;activity.visible=true;internetRadioOpenDelay.start();internetRadioActive=true ;internetRadioSource=data; appsettings.saveSystemSetting("lastStreamedURLWebRadio", data);
            }
        },
        Connections {
          target: downloadManager
          onDownloadCompletedInternal:{
              if(type==="m3u"){ _app.testU(_app.homePath()+"/m3ufile.m3u")}
              else if(type==="pls"){var url= _app.plsFile(_app.homePath()+"/plsfile.pls"); console.log( _app.plsFile(_app.homePath()+"/plsfile.pls"));_app.deleteFile(_app.homePath()+"/plsfile.pls"); 
              closeInternetRadioList();prompt.cancel();activity.running=true;activity.visible=true;internetRadioOpenDelay.start();internetRadioActive=true ;internetRadioSource=url; appsettings.saveSystemSetting("lastStreamedURLWebRadio", url);

}  }
        },
        SystemPrompt {
        id: prompt
        autoUpdateEnabled: true
        dismissAutomatically: false
        inputField.inputMode: SystemUiInputMode.Url
        title: qsTr( "Internet Radio Stream")
        body: qsTr("Direct URL is preffered, but basic M3U and PLS wrappers are supported." )
        inputField.defaultText:appsettings.getSystemSetting("lastStreamedURLWebRadio", "")
        inputField.emptyText:   qsTr("Enter Internet Radio Stream URL here")
        confirmButton.label:  qsTr("Stream")
        cancelButton.label:  qsTr("Cancel")
        onFinished: {
            if(result== SystemUiResult.ConfirmButtonSelection) {
                openStream();
                }
            else{prompt.cancel(); cont.destroy();}
        }
    }]
}
