import bb.cascades 1.4
import bb.cascades.pickers 1.0
import timer 1.0

Sheet{
id: settingsplayermenu
onCreationCompleted: {
open(); toggler.start();
}
property bool finished:false
content:Page {
titleBar: TitleBar {
appearance: TitleBarAppearance.Branded
title:  qsTr("Player Menu Settings")

dismissAction: ActionItem {
    title:  qsTr("Close") 
onTriggered: {
    close();settingsplayermenu.destroy();
}

}

}
attachedObjects:SystemTimer{id:toggler; interval: 500; onTimeout:{finished=true;box1.enabled=true;box2.enabled=true;box3.enabled=true;box4.enabled=true;box5.enabled=true;box6.enabled=true;box7.enabled=true;box8.enabled=true; box9.enabled=true;box10.enabled=true;box11.enabled=true; box12.enabled=true; box13.enabled=true; toggler.destroy();}}
ScrollView {
id: scroller
content: Container {
horizontalAlignment: HorizontalAlignment.Fill
verticalAlignment: VerticalAlignment.Center
id: conter
topPadding: 5
bottomPadding: 5

layout: StackLayout { }

Container {
    
    topPadding: 10; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Edit Video Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
  CheckBox {
        enabled: false
        id: box1
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("editVideoPlayerMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("editVideoPlayerMenu", "")==="false"){appsettings.saveSystemSetting("editVideoPlayerMenu", "")}
                else{
                    appsettings.saveSystemSetting("editVideoPlayerMenu", "false")
                }
            
            }
        }
    }
}  
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Toggle Audio Mute Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box2
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("toggleAudioMuteMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("toggleAudioMuteMenu", "")==="false"){appsettings.saveSystemSetting("toggleAudioMuteMenu", "")}
                else{
                    appsettings.saveSystemSetting("toggleAudioMuteMenu", "false")
                }
            
            }
        }
    }
}  
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Equaliser Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box3
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("EqualiserMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("EqualiserMenu", "")==="false"){appsettings.saveSystemSetting("EqualiserMenu", "")}
                else{
                    appsettings.saveSystemSetting("EqualiserMenu", "false")
                }
            
            }
        }
    }
}  
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Add To Homescreen Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box4
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("AddToHomescreenMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("AddToHomescreenMenu", "")==="false"){appsettings.saveSystemSetting("AddToHomescreenMenu", "")}
                else{
                    appsettings.saveSystemSetting("AddToHomescreenMenu", "false")
                }
            
            }
        }
    }
}  
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Sleep Timer Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box8
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("sleepTimerMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("sleepTimerMenu", "")==="false"){appsettings.saveSystemSetting("sleepTimerMenu", "")}
                else{
                    appsettings.saveSystemSetting("sleepTimerMenu", "false")
                }
            
            }
        }
    }
}  
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Night Mode Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box5
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("NightModeMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("NightModeMenu", "")==="false"){appsettings.saveSystemSetting("NightModeMenu", "")}
                else{
                    appsettings.saveSystemSetting("NightModeMenu", "false")
                }
            
            }
        }
    }
}  
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Properties Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box6
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("PropertiesMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("PropertiesMenu", "")==="false"){appsettings.saveSystemSetting("PropertiesMenu", "")}
                else{
                    appsettings.saveSystemSetting("PropertiesMenu", "false")
                }
            
            }
        }
    }
}  
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Repeat Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box7
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("RepeatMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("RepeatMenu", "")==="false"){appsettings.saveSystemSetting("RepeatMenu", "")}
                else{
                    appsettings.saveSystemSetting("RepeatMenu", "false")
                }
            
            }
        }
    }
 
}  
Container {
    visible: miniSquareDevice===true?false:true
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Open In Car Mode Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box9
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("CarModeMenu", "")===""?false:true
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("CarModeMenu", "")==="true"){appsettings.saveSystemSetting("CarModeMenu", "")}
                else{
                    appsettings.saveSystemSetting("CarModeMenu", "true")
                }
            
            }
        }
    }

}  
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Rewind Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box10
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("RewindOptionMenu", "")===""?false:true
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("RewindOptionMenu", "")==="true"){appsettings.saveSystemSetting("RewindOptionMenu", "")}
                else{
                    appsettings.saveSystemSetting("RewindOptionMenu", "true")
                }
            
            }
        }
    }

}  
Container {
    id: rewindSlider
    leftPadding: 20;rightPadding: 20; topPadding: 25
    layout: DockLayout {}
    visible: box10.checked?true:false
    minHeight: 120
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        opacity: nightMode?0.8:1
        text:qsTr("Duration To Seek Backward:")
        verticalAlignment: VerticalAlignment.Top
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 7
        }
    }
    Label {
        opacity: nightMode?0.8:1
        text: Math.floor((slider.immediateValue/1000) % 60) + " Seconds"
        verticalAlignment: VerticalAlignment.Top
        horizontalAlignment: HorizontalAlignment.Right
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 6
        }
    }
    Slider {
        opacity: nightMode?0.8:1
        id:slider
        verticalAlignment: VerticalAlignment.Bottom
        horizontalAlignment: HorizontalAlignment.Fill
        value: rewindInterval
        toValue:30000
        fromValue: 2000
        onValueChanged: {rewindInterval=slider.immediateValue;appsettings.saveSystemSetting("rewindInterval", immediateValue)}
    }
}
Container {
    
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Forward Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box11
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("ForwardOptionMenu", "")===""?false:true
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("ForwardOptionMenu", "")==="true"){appsettings.saveSystemSetting("ForwardOptionMenu", "")}
                else{
                    appsettings.saveSystemSetting("ForwardOptionMenu", "true")
                }
            
            }
        }
    }

}  
Container {
    id: forwardSlider
    leftPadding: 20;rightPadding: 20; topPadding: 25
    layout: DockLayout {}
    visible: box11.checked?true:false
    minHeight: 120
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        opacity: nightMode?0.8:1
        text:qsTr("Duration To Seek Forward:")
        verticalAlignment: VerticalAlignment.Top
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 7
        }
    }
    Label {
        opacity: nightMode?0.8:1
        text: Math.floor((slider1.immediateValue/1000) % 60) + " Seconds"
        verticalAlignment: VerticalAlignment.Top
        horizontalAlignment: HorizontalAlignment.Right
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 6
        }
    }
    Slider {
        opacity: nightMode?0.8:1
        id:slider1
        verticalAlignment: VerticalAlignment.Bottom
        horizontalAlignment: HorizontalAlignment.Fill
        value: forwardInterval
        toValue:30000
        fromValue: 2000
        onValueChanged: {forwardInterval=slider1.immediateValue;appsettings.saveSystemSetting("forwardInterval", immediateValue)}
    }
}
Container {
   visible: hardwareInfo.isPhysicalKeyboardDevice
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Video Fill Screen Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box12
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("fillScreenPlayerMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("fillScreenPlayerMenu", "")==="true"){appsettings.saveSystemSetting("fillScreenPlayerMenu", "")}
                else{
                    appsettings.saveSystemSetting("fillScreenPlayerMenu", "true")
                }
            
            }
        }
    }

}  
Container {
    topPadding: 30; leftPadding: 15;rightPadding: 20
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    Label {
        text: qsTr("Show Visualisations Option")
        verticalAlignment: VerticalAlignment.Center
        horizontalAlignment: HorizontalAlignment.Left
        textStyle {
            base: SystemDefaults.TextStyles.BodyText
            fontSize: FontSize.PointValue
            fontSizeValue: 8
        }
    }
    
    CheckBox {
        enabled: false
        id: box13
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked:appsettings.getSystemSetting("VisualisationOptionMenu", "")===""?true:false
        onCheckedChanged: {
            if(finished===false){console.log("Denied checked changed");}
            else if (finished===true){
                if(appsettings.getSystemSetting("VisualisationOptionMenu", "")==="false"){appsettings.saveSystemSetting("VisualisationOptionMenu", "")}
                else{
                    appsettings.saveSystemSetting("VisualisationOptionMenu", "false")
                }
            
            }
        }
    }

}


}
}
}
}
