import bb.cascades 1.4
Sheet{
    id: sheet
    onCreationCompleted: {
        sheet.open();if(customStationsView){_customStations.updateHistoryDataModel();}
    }
Page {
    titleBar: TitleBar {
        title: "Stations"
        dismissAction: ActionItem {
            title: "Close"
            onTriggered: {
                sheet.close();
            }
        }
    }
    Container {
        layout: DockLayout {
        }
        ListView{
            id: view
            dataModel: _customStations.dataModel
            visible: customStationsView?true:false
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            scrollRole: ScrollRole.Main
            scrollIndicatorMode: ScrollIndicatorMode.ProportionalBar
            layout: StackListLayout {
                headerMode: ListHeaderMode.Sticky
            }
            onTriggered: {
                
                var data = _customStations.dataModel.data(indexPath);
                scheduledRecModelStationURL= data.url;
                scheduledRecModelStationName= data.title;
                console.log(scheduledRecModelStationName)
                sheet.close();
              
            }
            listItemComponents: [
                ListItemComponent {
                    type: "header"
                    Header {
                        visible: false
                    }  
                },
                
                ListItemComponent {
                    type: "item"
                    
                    Container {
                        id: rootListItemContainerr
                        property string pathIndex
                        property string title
                        property string urle
                        property string icon
                 
                    StandardListItem {
                        title: ListItemData.title
                        description: ListItemData.url
                    
                    }     
                
                    }
                }
            ]
        }
        ListView {
            id: listView
            visible: customStationsView?false:true
            scrollRole: ScrollRole.Main
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: StackListLayout {
                headerMode: ListHeaderMode.Sticky
            }
            dataModel: XmlDataModel {
                id: modelr
                source: scheduledRecModelURL
            }
            onTriggered: {
                var data= modelr.data(indexPath)
                scheduledRecModelStationURL= data.url;
                scheduledRecModelStationName= data.title;
                console.log(scheduledRecModelStationName)
                sheet.close();
            }
            listItemComponents: [
                ListItemComponent {
                    type: "header"
                    Header {
                        title:""
                    }  
                },
                ListItemComponent {
                    type: "item"
                    
                    Container {
                        id: rootListItemContainer
                        
                        
                        StandardListItem {
                            id: stationChangeListItem
                            title: ListItemData.title
                            description: ListItemData.comments
                            
                            status: ListItemData.bitrate
                        
                        }     
                    
                    }
                }
            ]
        }
    }
}
}
