import bb.cascades 1.4
import timer 1.0
Sheet{
    id: sec
    peekEnabled: false
    property bool finished
    onCreationCompleted:{if(psw===true){open();toggler.start();}}

    onClosed: { psw=false;}
content:Page {
    titleBar: TitleBar {
        appearance: TitleBarAppearance.Branded
        title: qsTr("Security Settings")
        
        dismissAction: ActionItem {
            title: qsTr("Close")
            onTriggered: {
                close();sec.destroy();
            }
        }
    }
    attachedObjects:SystemTimer{id:toggler; interval: 500; onTimeout:{finished=true;togglebutton.enabled=true;togglebutton1.enabled=true;toggler.destroy();}}

        ScrollView {
           
           Container{
               horizontalAlignment: HorizontalAlignment.Fill
               verticalAlignment: VerticalAlignment.Center
               id: conter
               topPadding: 5
               bottomPadding: 5
               Container {
                   
                   topPadding: 10; leftPadding: 15;rightPadding: 20
                   layout: DockLayout {}
                   horizontalAlignment: HorizontalAlignment.Fill
                   Label {
                       opacity: nightMode?0.8:1
                       text:qsTr("Protect on App Startup")
                       verticalAlignment: VerticalAlignment.Center
                       horizontalAlignment: HorizontalAlignment.Left
                       textStyle {
                           base: SystemDefaults.TextStyles.BodyText
                           fontSize: FontSize.PointValue
                           fontSizeValue: miniSquareDevice?7:8
                       }
                   }
                   
                   ToggleButton {
                       opacity: nightMode?0.8:1
                       enabled: false
                       id: togglebutton1
                       horizontalAlignment: HorizontalAlignment.Right
                       checked:appsettings.getSystemSetting("startupPassword", "")===""? false:true
                       onCheckedChanged: {
                           if(finished===false){console.log("Denied checked changed");}
                           
                           else if (finished===true){
                               if(appsettings.getSystemSetting("startupPassword", "")==="true"){ appsettings.saveSystemSetting("startupPassword", "")}
                               else { appsettings.saveSystemSetting("startupPassword", "true")}
                           
                           }
                       }
                   }
               
               }  
               Container {
                   
                   topPadding: 10; leftPadding: 15;rightPadding: 20
                   layout: DockLayout {}
                   horizontalAlignment: HorizontalAlignment.Fill
                   Label {
                       opacity: nightMode?0.8:1
                       text:qsTr("Protect Sensitive Content")
                       verticalAlignment: VerticalAlignment.Center
                       horizontalAlignment: HorizontalAlignment.Left
                       textStyle {
                           base: SystemDefaults.TextStyles.BodyText
                           fontSize: FontSize.PointValue
                           fontSizeValue: miniSquareDevice?7:8
                       }
                   }
                   
                   ToggleButton {
                       opacity: nightMode?0.8:1
                       enabled: false
                       id: togglebutton
                       horizontalAlignment: HorizontalAlignment.Right
                       checked:protectedMode
                       onCheckedChanged: {
                           if(finished===false){console.log("Denied checked changed");}
                           
                           else if (finished===true){
                               if(protectedMode===true){protectedMode=false; appsettings.saveSystemSetting("protectedMode", "")}
                               else {protectedMode=true; appsettings.saveSystemSetting("protectedMode", "true"); toast.showTextWithButton(qsTr("Sensitive Content is now Password Protected, this includes:\n\nFavourites\nLast Played List\nIn App Stored Recordings", "Ok", "ProtectMode"))}
                               console.log(protectedMode)
                               
                           }
                           }
                       }
                   
               }  
               
           }
           } 
        }
    

}
