import bb.system 1.0
import bb.cascades 1.0

Container {
    id: cont
    onCreationCompleted: {dio.show();}
    attachedObjects: 
    SystemDialog{
        id: dio
        title: qsTr("Please Read")
        body:qsTr( "Please be aware that if the Video or Audio Sound does not appear to be working your device may need to be Restarted, this is a ongoing OS issue which we are investigating.\nIf you are effected and the issue persists please use the Report Bug Option in the Apps Home Menu (Bottom Right corner of the screen).")
        buttonAreaLimit: 2
        confirmButton.label: qsTr("Ok")
        confirmButton.enabled: true
        cancelButton.label: qsTr("Cancel")
        cancelButton.enabled: true
        rememberMeText: "Do not show this again"
        rememberMeChecked: true
        includeRememberMe: false
        onRememberMeCheckedChanged: {
            if(rememberMeChecked==true){appsettings.getSystemSetting("audioBlankWarning", "shown")}
            else{appsettings.getSystemSetting("audioBlankWarning", "")}
        }
        onFinished: {
            if(result == SystemUiResult.ConfirmButtonSelection) {if(rememberMeChecked)appsettings.getSystemSetting("audioBlankWarning", "shown"); showPullMenuTip();}
            else if (result == SystemUiResult.CancelButtonSelection) {
                dio.cancel(); showPullMenuTip();
            }
        }
    }
}