import bb.system 1.0
import bb.cascades 1.4
import timer 1.0
import QJson 1.0

Container {
    id: cont
    property string currentBuild: appsettings.getSystemSetting("stationListVersion", "1.00")
    property string encoding: ""
    property string downloadurl: ""
    property bool newupdate: false
    property string datereleased:""
    onCreationCompleted: {runcheckupdate();}
    function runcheckupdate() {
        console.log("Running")
        var update = json.parse("http://www.allstarsoftware.co.uk/StarPlayerBB10/InternetRadio/StationUpdateChecker.json");
        encoding = update['version'];
        var dater = json.parse("http://www.allstarsoftware.co.uk/StarPlayerBB10/InternetRadio/StationUpdateChecker.json");
        datereleased=dater ['datereleased'];
        matchstring();
    }
    function matchstring() {
        if (encoding === currentBuild){
            console.log("Matching"); appsettings.saveSystemSetting("stationListVersion", encoding); console.log("Station List Version: "+appsettings.getSystemSetting("stationListVersion", "1.00"))
        }
        else {
            
            newupdate=true;
            dio.show();
            
        }
    }
    attachedObjects: [
        QJson {
            id: json
            onFailure: {
                console.debug("failed")
            }
        },
        SystemTimer{
            id: closeTimer;
            interval: 300000
            onTimeout: {
                dio.cancel(); cont.destroy(1000);
            }
        },
        
        SystemDialog{
            id: dio
            
            title:  qsTr("Station Update")
            body:  qsTr("An update for the Internet Radio Station List is Available ")
            buttonAreaLimit: 2
            confirmButton.label: qsTr("Update")
            confirmButton.enabled: true
            cancelButton.label: qsTr("Don't check for updates")
            cancelButton.enabled: true
            customButton.enabled: true
            customButton.label: "Dismiss"

            onFinished: {
                if(result == SystemUiResult.ConfirmButtonSelection) {}
                else if (result == SystemUiResult.CancelButtonSelection) {
                    cancel();
                }
                else if(result== SystemUiResult.CustomButtonSelection){
                    cancel();
                }
            }
        }]
}