import bb.cascades 1.4

Sheet{
    onCreationCompleted: {open();}
    peekEnabled: false
    attachedObjects: [

        Invocation {
            id: share
            query: InvokeQuery {
                id: sharequery
                mimeType: "text/plain"
                uri: "https://allstarsoftware.co.uk/StarPlayerBlackBerry"
                invokeActionId: "bb.action.SHARE"
            }
        }
    ]
    content: Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: ("Star Player v"+ Application.applicationVersion ) 
           // title: ("Star Player v"+ Application.applicationVersion.substring(0,4) ) 
            dismissAction: ActionItem {
                title: qsTr("Close") 
                id: closeBut
                onTriggered: {close();}
            }
            acceptAction: ActionItem {
              imageSource:brightTheme? "asset:///images/ic_share_dark.png": "asset:///images/ic_share.png"
                onTriggered: {
                    share.trigger("bb.action.SHARE")
                }
            }
        }
        
        Container {
            topPadding: 5
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: StackLayout {}
            DropDown {
                opacity: nightMode?0.8:1
                id: infodrop
                onSelectedIndexChanged: {
                    if(selectedIndex===0){Qt.openUrlExternally("http://paypal.me/Allstarsoftware")}
                    else if(selectedIndex===1){close(); creator.createQMLObject("ContactForm.qml")}
                    else if(selectedIndex===2){_app.openWebBrowserLink("http://facebook.com/AllstarSoftware")}
                    else if(selectedIndex===3){_app.openWebBrowserLink("https://twitter.com/paulwallace1234")}
                    else if (selectedIndex===4){_app.openWebBrowserLink("http://allstarsoftware.co.uk/BlackBerryWorldPrivacyPolicy.txt")}
                    else if(selectedIndex===5){_app.openWebBrowserLink("https://github.com/ryantmer/LyricsSearch")}
                    else if(selectedIndex===6){_app.openWebBrowserLink("https://appworld.blackberry.com/webstore/vendor/70290/")}
                    else if(selectedIndex===7){_app.openWebBrowserLink("https://appworld.blackberry.com/webstore/vendor/31717/")}
                    if(selectedIndex===8){_app.openWebBrowserLink("https://www.facebook.com/ApexDesignsInc")}


                }
                title:"Contact/ Privacy / Credits"
                
                Option{
                    text: qsTr("Donate")
                }
                Option{
                    text: qsTr("Email")
                }
                Option{
                    text: "Facebook"
                }
                Option{
                    text: "Twitter"
                }
                
                Option{
                    text: qsTr("Privacy Policy")
                }
                Option {
                    text: "Lyrics Search Open Source"
                }
                Option {
                    text: "RodgerLeblanc"
                }
                Option {
                    text: "QtHelex"
                }
                Option{
                    text: "Apex Designs Graphics"
                }
                
            
            }
           
            Container {
                topPadding: 20
                opacity: infodrop.expanded? 0:1
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                ImageView {
                    opacity: nightMode?0.8:1
                    imageSource: "images/icon.png"
                }}
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                topPadding: 50
                opacity: infodrop.expanded? 0:1
                Label {
                    textStyle.color: brightTheme? Color.Black:Color.White
                    textStyle.fontSize: FontSize.PointValue
                    textStyle.fontSizeValue: 6
                    multiline: true
                    textStyle.textAlign: TextAlign.Center
                    
                    textStyle.base: SystemDefaults.TextStyles.SmallText
        
                    text: "<html>Special thanks to all the Star Player BETA testers\n\n<b>Star Player will be reaching end of life in February 2018, please see the In-App Announcements page for how this will effect you.</b></html>"
                }
            }
        }
    }
}


