import bb.cascades 1.4
Sheet{
    id: sheet;
    onCreationCompleted: {
        open();
    }
Page {
    id: page
    titleBar: TitleBar {
        
        title: announcementsReaderTitle
        dismissAction: ActionItem {
            title: "Back"
            onTriggered: {
                sheet.close();
                announcementsReaderTitle="";
                announcementsReaderText= "";
                announcementsReaderURL= "";
                announcementsReaderImage= "";
                announcementsReaderDate="";
            }
        }
    }
    actionBarVisibility: ChromeVisibility.Compact
    actions: ActionItem {
        id: web
        onCreationCompleted: {
            if(announcementsReaderURL==="")page.removeAction(web)
        }
        enabled: announcementsReaderURL===""?false:true
        ActionBar.placement: ActionBarPlacement.Signature
        title: "Web"
        imageSource: "images/ic_browser.png"
        onTriggered: {
            _app.openWebBrowserLink(announcementsReaderURL);
        }
        
    }
    Container {
        ScrollView{
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            Container {
                opacity: nightMode? 0.8:1
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                topPadding: 5
                leftPadding: 5
                rightPadding: 5
                bottomPadding: 70
             
               
                Label {
                    id: announcementDesc
                    text:  announcementsReaderText
                    multiline: true
                    textStyle.fontSize: FontSize.PointValue
                    textStyle.fontSizeValue: 8
                
                }
            }
        }
    }
    
}

}