import bb.system 1.2
import bb.cascades 1.0
import timer 1.0

Container {
    id: cont
    onCreationCompleted: {dio.show(); }
    attachedObjects:
        [SystemTimer {
            onCreationCompleted: {
                start()
            }
          interval: 5000
          onTimeout: {
             stop();
             dio.confirmButton.enabled=true;
             dio.confirmButton.label="Got It"
          }  
        },
    SystemDialog{
        id: dio
        autoUpdateEnabled: true
        title:qsTr("Safety Notice")
        body:qsTr(displayInfo.displayTechnology==2? "Your safety should always be the number one priority, please obey all local laws and be aware that using a mobile device while driving may be prohibited.\n\nYour device uses OLED Technology for the display, keeping the screen on for long periods of time without movement (When Playing Music) may cause screen damage (Pixel Burn); we recommend that the 'Keep Screen On' option from Car Mode Settings is disabled to allow the screen to turn itself off\n\nThis Notice can be viewed again from Car Mode Settings.": "Your safety should always be the number one priority, please obey all local laws and be aware that using a mobile device while driving may be prohibited.\n\nThis Notice can be viewed again from Car Mode Settings.")
        buttonAreaLimit: 1
        confirmButton.label: "Please Wait"
        confirmButton.enabled: false
        cancelButton.label:undefined
        cancelButton.enabled: false
        onFinished: {
            if(result == SystemUiResult.ConfirmButtonSelection) {appsettings.saveSystemSetting("carModeSafetywarning", "true")}
            
        }
    }
]
}