import bb.cascades 1.2

Container {
    visible: _pinnedVideos.dataModel.childCount(0)===0? true:false
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Top
    background: Color.White
    preferredHeight: listView.deviceHeight
    preferredWidth: listView.deviceWidth
    property int pinnedCount: _pinnedVideos.dataModel.childCount(0)
    onPinnedCountChanged: {
        console.log("List Count " + pinnedCount)

    }
 onCreationCompleted: {listView.scrollToItem([0], ScrollAnimation.Smooth); 
 
 }
        id: tutorialPage
        
       /* titleBar: TitleBar {
            id: titleBar
            title: qsTr("Welcome")
            acceptAction: ActionItem {
                title: tutorialPage.pageShown == 6 ? qsTr("Done") : qsTr("Next")
                onTriggered: {
                    if (tutorialPage.pageShown == 6) {
                        appsettings.saveSystemSetting("firstRun", "true");
                        
                        tutorialSheet.close();
                        welcomeScreen();
                    }
                    else 
                        listView.scrollToItem([tutorialPage.pageShown + 1], ScrollAnimation.Smooth)
                }
            }
          // dismissAction: ActionItem {
           //  title: qsTr("Dismiss")
           //  onTriggered: {
           //  tutorialSheet.close()
           //  }
           //  }
        }*/
        
        
        Container {
            id: tutorialContainer
            layout: DockLayout {}
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            background: Color.Red
            ListView {
                id: listView
                
                property int deviceWidth:     displayInfo.pixelSize.width
                property int deviceHeight:   400
                
                property variant background: tutorialContainer.background
                
                dataModel: _pinnedVideos.dataModel
                    //XmlDataModel { source: "asset:///tutorialModel.xml" }
                layout: StackListLayout { orientation: LayoutOrientation.LeftToRight }
                flickMode: FlickMode.SingleItem
                
                function updatePageShown(page) {
                    tutorialPage.pageShown = page
                }
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        Container {
                            id: itemContainer
                            layout: DockLayout {}
                            preferredWidth: itemContainer.ListItem.view.deviceWidth
                            preferredHeight: itemContainer.ListItem.view.deviceHeight
                            attachedObjects: LayoutUpdateHandler {
                                id: luhPosition
                                onLayoutFrameChanged: {
                                    if (luhPosition.layoutFrame.x >= - itemContainer.preferredWidth / 2 && luhPosition.layoutFrame.x <= itemContainer.preferredWidth / 2) {
                                        itemContainer.ListItem.view.updatePageShown(ListItemData.page)
                                    } 
                                }
                            }
                            Container {
                                layout: DockLayout {}
                                horizontalAlignment: HorizontalAlignment.Fill
                                verticalAlignment: VerticalAlignment.Fill
                                Container {
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    verticalAlignment: VerticalAlignment.Bottom
                                    bottomPadding: 5
                                    opacity: 1
                                    background: itemContainer.ListItem.view.background
                                    Label {
                                        text: ListItemData.videoTitle
                                        multiline: true
                                        horizontalAlignment: HorizontalAlignment.Center
                                        textStyle{
                                            fontSize: FontSize.PointValue
                                            fontSizeValue:7
                                            base: SystemDefaults.TextStyles.BodyText     
                                        }  
                                    }
                                }
                            }
                        }
                    }
                ]    
            }
        }
    }
