import bb.cascades 1.4

Container {
    
    gestureHandlers: TapHandler { onTapped: { clicked();}}
    signal clicked
    property bool modeRepeat
    property string mode:""
    function show(string){
        hide();
        if(thumbnailed==false){
            if(showPlaylist===false){
        if(appsettings.getSystemSetting("fancyIndicators", "true")==="true"){
            if(string=="RepeatON")modeRepeat=true;
            else if (string=="RepeatOFF")modeRepeat=false;
            opening.play();}}}}
    function hide(){reset();}
    function reset(){baseIMG.scaleX=1; baseIMG.scaleY=1; baseIMG.opacity=0; circle1.scaleX=1; circle1.scaleY=1; circle1.opacity=0;circle1.played=false;opening.stop(); pulse.stop(); }
    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Center
    preferredHeight: baseIMG.preferredHeight*2
    preferredWidth: baseIMG.preferredWidth*2
    onCreationCompleted: {}
    layout: DockLayout {}
    onModeRepeatChanged: {
        imageSourcee= modeRepeat? decideRepeatON(): decideRepeatOFF();
    }
    function decideImagePX(){ if(miniSquareDevice===true){return 310}
    else if(passport===true){return 500}
    else if(pixelHeight===720){return 310 }
    else if (pixelHeight===768){return 310}
    else {return 340}}
    function decideZoomAmount(){
        if(miniSquareDevice===true){return 1.1}
        else if(passport===true){return 1.3}
        else if(pixelHeight===720){return 1.1 }
        else if (pixelHeight===768){return 1.1}
        else {return 1.3}
    }
    property string imageSourcee:modeRepeat? decideRepeatON(): decideRepeatOFF();
    function decideRepeatON(){
        if(nightMode===true){return "";
        }
        else  if(passport===true){
            
            if (themeValue === "") {
                return "../images/repeat_default_passport_circle.png"
            } else if (themeValue === "#0092cc") {
                return "../images/repeat_default_passport_circle.png"
            } else if (themeValue === "#0000ff") {
            return "../images/repeat_blue_passport_circle.png"
            }
            else if (themeValue === "#F52887") {
                return "../images/repeat_deeppink_passport_circle.png"
            }
            
            else if (themeValue === "red") {
                return "../images/repeat_red_passport_circle.png"
            } else if (themeValue === "#ff00ff") {
                return "../images/repeat_magenta_passport_circle.png"
            } else if (themeValue === "#9900ff") {
                return "../images/repeat_purple_passport_circle.png"
            }
        
        } 
        else{
            if (themeValue === "") {
                return "../images/repeat_default_circle.png"
            } else if (themeValue === "#0092cc") {
                return "../images/repeat_default_circle.png"
            } else if (themeValue === "#0000ff") {
                return "../images/repeat_blue_circle.png"
            }
            else if (themeValue === "#F52887") {
                return "../images/repeat_deeppink_circle.png"
            }
            
            else if (themeValue === "red") {
                return "../images/repeat_red_circle.png"
            } else if (themeValue === "#ff00ff") {
                return "../images/repeat_magenta_circle.png"
            } else if (themeValue === "#9900ff") {
                return "../images/repeat_purple_circle.png"
            }
        }
    
    }
    function decideRepeatOFF(){
        if(nightMode===true){return "";
        }
        else  if(passport===true){
            
            if (themeValue === "") {
                return "../images/repeatoff_default_passport_circle.png"
            } else if (themeValue === "#0092cc") {
                return "../images/repeatoff_default_passport_circle.png"
            } else if (themeValue === "#0000ff") {
                return "../images/repeatoff_blue_passport_circle.png"
            }
            else if (themeValue === "#F52887") {
                return "../images/repeatoff_deeppink_passport_circle.png"
            }
            
            else if (themeValue === "red") {
                return "../images/repeatoff_red_passport_circle.png"
            } else if (themeValue === "#ff00ff") {
                return "../images/repeatoff_magenta_passport_circle.png"
            } else if (themeValue === "#9900ff") {
                return "../images/repeatoff_purple_passport_circle.png"
            }
        
        } 
        else{
            if (themeValue === "") {
                return "../images/repeatoff_default_circle.png"
            } else if (themeValue === "#0092cc") {
                return "../images/repeatoff_default_circle.png"
            } else if (themeValue === "#0000ff") {
                return "../images/repeatoff_blue_circle.png"
            }
            else if (themeValue === "#F52887") {
                return "../images/repeatoff_deeppink_circle.png"
            }
            
            else if (themeValue === "red") {
                return "../images/repeatoff_red_circle.png"
            } else if (themeValue === "#ff00ff") {
                return "../images/repeatoff_magenta_circle.png"
            } else if (themeValue === "#9900ff") {
                return "../images/repeatoff_purple_circle.png"
            }
        }
    }
    ImageView {
        id: baseIMG
        preferredHeight: decideImagePX();
        preferredWidth: decideImagePX();
        touchPropagationMode: TouchPropagationMode.None
        overlapTouchPolicy: OverlapTouchPolicy.Allow
        imageSource: imageSourcee
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        scaleX: 1
        scaleY: 1
        opacity: 0
    
    }
    ImageView {
        id: circle1
        preferredHeight:decideImagePX();
        preferredWidth: decideImagePX();
        touchPropagationMode: TouchPropagationMode.None
        overlapTouchPolicy: OverlapTouchPolicy.Allow
        imageSource: imageSourcee
        //"asset:///images/pause_default_circle.png"
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        scaleX: 1
        scaleY: 1
        opacity: 0
        property bool played
        onOpacityChanged: {
            
            if(played===false){
                played=true;
                pulse.play()
            }
        }
    }
    
    animations:  [
        ParallelAnimation {
            id: opening
            repeatCount: 0
            property int transitionTime:230
            FadeTransition {
                target:baseIMG
                fromOpacity: 0
                toOpacity: 0.8
                duration: opening.transitionTime
                easingCurve: StockCurve.Linear
            }
            FadeTransition {
                target:circle1
                fromOpacity: 0
                toOpacity: 0.8
                duration: opening.transitionTime
                easingCurve: StockCurve.Linear
            
            }
        },
        
        
        ParallelAnimation {
            id:pulse
            repeatCount: 0
            onStateChanged: {
                console.log("Animation State "+ state)
                if(state== AnimationState.Ended)reset();
            }
            property int transitionTime: 230
            ScaleTransition {
                target: baseIMG
                fromX: 1.0
                fromY: 1.0
                toX:decideZoomAmount();
                toY: decideZoomAmount();
                duration: pulse.transitionTime
                easingCurve: StockCurve.Linear
            }
            FadeTransition {
                target:baseIMG
                fromOpacity: 0.8
                toOpacity: 0.0
                duration: pulse.transitionTime
                easingCurve: StockCurve.Linear
            
            }
            ScaleTransition {
                target: circle1
                fromX: 1.0
                fromY: 1.0
                toX: decideZoomAmount();
                
                toY:decideZoomAmount();
                 duration: pulse.transitionTime
                easingCurve: StockCurve.Linear
            }
            FadeTransition {
                target: circle1
                fromOpacity: 0.8
                toOpacity: 0.0
                duration: pulse.transitionTime
                easingCurve: StockCurve.Linear
            
            }
        
        }]
}

