import QtQuick 1.0
import bb.cascades 1.4
import timer 1.0


Container {
id: root
opacity: 0
background: brightTheme? Color.White: Color.Black
minHeight:_app.screenHeight();
minWidth: _app.screenWidth();
property string colour:changeColour()
property int visualisationNumber: 4
gestureHandlers: TapHandler {
    onTapped: {
        engine.toggleMenu();
    }
}
layout: StackLayout {  
    
}
function updateColour(){
    colour=changeColour();
    
    
}
function changeColour(){
        var letters = '0123456789ABCDEF'.split('');
        var color = '#';
        for (var i = 0; i < 6; i++ ) {
            color += letters[Math.round(Math.random() * 15)];
        }
        return color;
    
}

//function changeColour() {
  //  var color = Math.floor(0x1000000 * Math.random()).toString(16);
  //  return '#' + ('000000' + color).slice(-6);
//}
function reset(){one.opacity=0; two.opacity=0; three.opacity=0; four.opacity=5; five.opacity=0; six.opacity=0; seven.opacity=0;eight.opacity=0; nine.opacity=0; ten.opacity=0; eleven.opacity=0; step1.stop();step2.stop();step3.stop(); step4.stop;step5.stop(); step6.stop(); step7.stop(); step8.stop(); step9.stop(); step10.stop(); step11.stop(); step12.stop(); step13.stop(); step14.stop(); step15.stop(); step16.stop(); step17.stop(); step18.stop(); step19.stop();step20.stop(); step21.stop(); step22.stop(); reverseStep1.stop(); reverseStep2.stop(); reverseStep3.stop(); reverseStep4.stop(); reverseStep5.stop(); reverseStep6.stop(); reverseStep7.stop(); reverseStep8.stop(); reverseStep9.stop(); reverseStep10.stop(); reverseStep11.stop(); reverseStep12.stop(); reverseStep13.stop(); reverseStep14.stop; reverseStep15.stop();reverseStep16.stop(); reverseStep17.stop(); reverseStep18.stop(); reverseStep19.stop(); reverseStep20.stop(); reverseStep21.stop(); reverseStep22.stop();}
attachedObjects:[
Connections {
target: engine
onForceStop:{visible=false;reset();} //obviously program these as we go along
onStop:{reset(); opacity=0;}//obviously program these as we go along
},
Timer{id: step1;interval: 400; onTriggered: {one.opacity=1.0;step2.start(); step3.start();
} },
Timer{id: step2;interval: 700; onTriggered: {one.opacity=0;} },

Timer{id: step3;interval: 400; onTriggered: {two.opacity=1.0; step4.start(); step5.start();
} },
Timer{id: step4;interval: 700; onTriggered: {two.opacity=0;} },


Timer{id: step5;interval: 400; onTriggered: {three.opacity=1.0;step6.start(); step7.start();
} },

Timer{id: step6;interval: 700; onTriggered: {three.opacity=0;} },

Timer{id: step7;interval: 400; onTriggered: {four.opacity=1.0;step8.start(); step9.start();
} },
Timer{id: step8;interval: 700; onTriggered: {four.opacity=0;} },

Timer{id: step9;interval: 400; onTriggered: {five.opacity=1.0;step10.start(); step11.start();
} },

Timer{id: step10;interval: 700; onTriggered: {five.opacity=0;} },

Timer{id: step11;interval: 400; onTriggered: {six.opacity=1.0;step12.start(); step13.start();
} },
Timer{id: step12;interval: 700; onTriggered: {six.opacity=0;} },

Timer{id: step13;interval: 400; onTriggered: {seven.opacity=1.0;step14.start(); step15.start();
} },
Timer{id: step14;interval: 700; onTriggered: {seven.opacity=0;} },

Timer{id: step15;interval: 400; onTriggered: {eight.opacity=1.0;step16.start(); step17.start();
} },
Timer{id: step16;interval: 700; onTriggered: {eight.opacity=0;} },

Timer{id: step17;interval: 400; onTriggered: {nine.opacity=1.0;step18.start(); step19.start();
} },
Timer{id: step18;interval: 700; onTriggered: {nine.opacity=0;} },

Timer{id: step19;interval: 400; onTriggered: {ten.opacity=1.0;step20.start(); step21.start();
} },
Timer{id: step20;interval: 700; onTriggered: {ten.opacity=0;} },

Timer{id: step21;interval: 400; onTriggered: {eleven.opacity=1.0;step22.start();
} },
Timer{id: step22;interval: 700; onTriggered: {eleven.opacity=0; reverseStep1.start();
updateColour();
} },


// repeat Code:

Timer{id: reverseStep1; interval: 400; onTriggered: {
    eleven.opacity=1; reverseStep2.start();reverseStep3.start();}
},
Timer{id: reverseStep2; interval: 700; onTriggered: {eleven.opacity=0;}},
Timer{id: reverseStep3; interval: 400; onTriggered: {
        ten.opacity=1; reverseStep4.start();reverseStep5.start();}
},
Timer{id: reverseStep4; interval: 700; onTriggered: {ten.opacity=0;}},

Timer{id: reverseStep5; interval: 400; onTriggered: {
        nine.opacity=1; reverseStep6.start();reverseStep7.start();}
},
Timer{id: reverseStep6; interval: 700; onTriggered: {nine.opacity=0;}},

Timer{id: reverseStep7; interval: 400; onTriggered: {
        eight.opacity=1; reverseStep8.start();reverseStep9.start();}
},

Timer{id: reverseStep8; interval: 700; onTriggered: {eight.opacity=0;}},

Timer{id: reverseStep9; interval: 400; onTriggered: {
        seven.opacity=1; reverseStep10.start();reverseStep11.start();}
},
Timer{id: reverseStep10; interval: 700; onTriggered: {seven.opacity=0;}},

Timer{id: reverseStep11; interval: 400; onTriggered: {
        six.opacity=1; reverseStep12.start();reverseStep13.start();}
},
Timer{id: reverseStep12; interval: 700; onTriggered: {six.opacity=0;}},
Timer{id: reverseStep13; interval: 400; onTriggered: {
        five.opacity=1; reverseStep14.start();reverseStep15.start();}
},
Timer{id: reverseStep14; interval: 700; onTriggered: {five.opacity=0;}},

Timer{id: reverseStep15; interval: 400; onTriggered: {
       four.opacity=1; reverseStep16.start();reverseStep17.start();}
},
Timer{id: reverseStep16; interval: 700; onTriggered: {four.opacity=0;}},

Timer{id: reverseStep17; interval: 400; onTriggered: {
        three.opacity=1; reverseStep18.start();reverseStep19.start();}
},

Timer{id: reverseStep18; interval: 700; onTriggered: {three.opacity=0;}},

Timer{id: reverseStep19; interval: 400; onTriggered: {
        two.opacity=1; reverseStep20.start();reverseStep21.start();}
},
Timer{id: reverseStep20; interval: 700; onTriggered: {two.opacity=0;}},

Timer{id: reverseStep21; interval: 400; onTriggered: {
        one.opacity=1; reverseStep22.start();}
},
Timer{id: reverseStep22; interval: 700; onTriggered: {one.opacity=0;step1.start();updateColour();}}

]


function start(){opacity=1;step1.start();currentVisualisation=visualisationNumber}
Container{
   id: one
   opacity: 0
   background: Color.create(colour)
   preferredWidth: parent.minWidth
   preferredHeight: _app.screenHeight()/11
    
}
Container{
    id: two
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11



}
Container{
    id: three
    opacity:0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11



}
Container{
    id: four
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11


}
Container{
    id:five
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11


}
Container{
    id: six
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11


}
Container{
    id: seven
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11


}
Container{
    id: eight
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11


}
Container{
    id: nine
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11

}
Container{
    id: ten
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11
    topPadding: 5

}
Container{
    id: eleven
    opacity: 0
    background: Color.create(colour)
    preferredWidth: parent.minWidth
    preferredHeight: _app.screenHeight()/11

}

}
