import bb.cascades 1.4
import bb.cascades.pickers 1.0
import timer 1.0
import "Custom"

Sheet{
id: settingsnm
property string valuer
onCreationCompleted: {
open(); 
}
property bool finished:false
content:Page {
titleBar: TitleBar {
appearance: TitleBarAppearance.Branded
title:  qsTr("Colour Selector")

dismissAction: ActionItem {
title:  qsTr("Close") 
onTriggered: {
close();settingsnm.destroy();
}

}
acceptAction: ActionItem {
    title: "Save"
    enabled: valuer===""?false:true
    onTriggered: {
        videoOverlayValue=valuer; appsettings.saveSystemSetting("videoOverlayValue", valuer);close();settingsnm.destroy();
    }
}

}ScrollView {
    

Container {
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    topPadding: 5
    bottomPadding: 5
    layout: StackLayout{  
    }
    UserInfoBanner{ visible: true;text: "Only Supports HTML Colours, does not automatically add #"; bottomPadding: 10}

    Container {
        topPadding: 50
        id: viewCont
        horizontalAlignment: HorizontalAlignment.Center        
        background: Color.create("#ffffff")
        minHeight: 250
        minWidth: 450
        maxHeight: 250
        maxWidth: 450
    }
    Container {
        
    topPadding: 15
    TextField {
        
        clearButtonVisible: true
        hintText: "Enter HTML Colour Code Here"
        onTextChanging: {
            valuer= text;
            id: viewCont.background= Color.create(valuer)
        }
    }
}
}}
}
}
