import bb.cascades 1.4
import bb.system 1.0
import bb.platform 1.0

Container {
    id: cont
    onCreationCompleted: {
        prompt.show();
    }
    attachedObjects: SystemPrompt {
        id: prompt
        modality: SystemUiModality.Application
        inputField.inputMode: SystemUiInputMode.Password
        title: qsTr("Enter Password")

        confirmButton.label: qsTr("Ok")
        cancelButton.label:qsTr( "Cancel")
        onFinished: {
            if(result== SystemUiResult.ConfirmButtonSelection) {if(inputFieldTextEntry()===appsettings.getSystemSetting("passwordprotectionPS", "")){psw=true; creator.createQMLObject("SecuritySettings.qml")}
            else{toast.showText(qsTr("Password Incorrect"))}
            }
            else{prompt.cancel(); cont.destroy();}
        }
    }
}
