import bb.system 1.2
import bb.cascades 1.4
import QtQuick 1.0
import timer 1.0

Container {
    id: cont
    property string bob
    onCreationCompleted: {dio.show(); dio.cancelButton.enabled=false; dio.cancelButton.label=undefined;
        _app.folderToPlaylist(folderToPlaylistURL, searchFolderPlaySubFolders);
    }
    
    attachedObjects: [
        SystemTimer{
            id: closetimer;
            interval: 500
            onTimeout: {
                closetimer.stop();
                dio.cancel();
             //  creator.createQMLObject("PlaylistEditor.qml");
            }
        },
        Connections {
            target:_app
            onFolderToPlaylistFinished:{bob= qsTr("Finished Adding Files");dio.body=bob; closetimer.start();if(playlistCreatorOpen){}}
            onFolderToPlaylistItem:{b.length>40? bob=b.substring(0,10):bob=b; dio.body=bob;if(playlistCreatorOpen===true){ 
              mainnav.addPlaylistItemToList();
              } 
            
            }

        },
        SystemDialog{
            id: dio
            title: qsTr("Adding Files")
            body: qsTr("Adding Files From Folder, this may take a while..")
            buttonAreaLimit: 2
            autoUpdateEnabled: true
            activityIndicatorVisible: true
            confirmButton.label: undefined
            cancelButton.label: qsTr("Cancel")
            cancelButton.enabled: true
          
        }
    ]
}