import bb.cascades 1.4

Sheet{
    id: lyrics
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title:qsTr( "Online Lyrics Search")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();lyrics.destroy();
                }
            }
        }
        ScrollView {
            
            
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined
                        
                        imageSource: "../images/search_big.png"
                    }
                }
                Container {
                    leftPadding: 5;rightPadding: 5
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("The online Lyrics Search is provided by LyricWiki, which provides a nearly 2 million lyrics sheets for free\n\nLyrics Search is simple to use, it will Auto fill the Title, Artist and Album fields when available (You can also search for all Lyrics Sheets available from an Artist and save Lyrics Sheets with the Offline Favourites option)")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
            
            
            }
        }
    }

}