import bb.cascades 1.4

Sheet{
    id: night
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Network Proxy")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();night.destroy();
                }
            }
        }
        ScrollView {
            
            
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource: "internet.png"
                    }
                }
                Container {
                    leftPadding: 5;rightPadding: 5
                    
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text: qsTr("A Network Proxy allows you to access content which may have been previously blocked for your device/area or access content anonymously.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Center
                    Button {
                        color: Color.create(getAppColour())

                        opacity: nightMode?0.8:1
                        text:qsTr( "Set A Network Proxy")
                        onClicked:{close(); creator.createQMLObject("NetworkProxySettings.qml")}  
                    }
                }
            
            }
        }
    }

}