import bb.cascades 1.4

Sheet{
id: night
onCreationCompleted: {open(); }
property bool finished:false
content:Page {
titleBar: TitleBar {
appearance: TitleBarAppearance.Branded
title:qsTr( "Night Mode")

dismissAction: ActionItem {
    title: qsTr("Close") 
onTriggered: {
close();night.destroy();
}
}
}
ScrollView {
    


Container{
horizontalAlignment: HorizontalAlignment.Fill
verticalAlignment: VerticalAlignment.Fill
layout: StackLayout {
    
}
Container {
    horizontalAlignment: HorizontalAlignment.Center
    ImageView {
        opacity: nightMode?0.8:1
        filterColor: brightTheme? Color.Black: undefined

        imageSource:  "asset:///images/Tutorial/night_mode.png"
    }
}
Container {
    leftPadding: 5;rightPadding: 5
    Label {
        opacity: nightMode?0.8:1
        multiline: true
        text:qsTr( "When activated Night mode will change the Star Player UI to offer a less glaring experience for night time use.\n\nThe Colour Scheme will change to a darker grey colour (your Colour Scheme selection is restored when Night Mode is turned off), UI Components are dimmed slightly and the 'Dark Video/Lyrics Overlay' feature will come into play.\n\nThe 'Dark Video/Lyrics Overlay' feature places a Black transparent layer over the Video or Lyrics you are viewing to reduce the screen glare, this can be turned off and adjusted from the Night Mode Settings.\n\nIf you are using the Bright Theme for Star Player it will be disabled while Night Mode is switched on and re-enabled once Night Mode is switched off.")
        textStyle{
            fontSize: FontSize.PointValue
            fontSizeValue: 7
            base: SystemDefaults.TextStyles.PrimaryText
        }
    }
}
Container {
    topPadding: 20
    horizontalAlignment: HorizontalAlignment.Center
    Button {
        opacity: nightMode?0.8:1
        color: Color.create(getAppColour())
        text: qsTr("Manage Night Mode")
        onClicked:{close(); creator.createQMLObject("NightModeSettings.qml") }
    }
}

}
}
}

}