import bb.cascades 1.4

Sheet{
    id: helpk
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Keyboard Shortcuts")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();helpk.destroy();
                }
            
            }
        
        }
        ScrollView {
            id: scroller
            content: Container {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                id: conter
                topPadding: 5
                bottomPadding: 5
                layout: StackLayout { }
                Header {
                    opacity: nightMode?0.8:1
                    title: qsTr("In Player Shortcuts")
                }
                StandardListItem {
                    visible: true
                    opacity: nightMode?0.8:1
                    title: qsTr("N - Plays Next Track")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    visible: true
                    title:qsTr( "B - Plays Previous Track")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("P - Play/Pause Media")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("M - Toggle Audio Mute")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("L - Shows & Hides the Playlist in Player and Internet Radio")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("E - Opens the Equaliser List")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("F - Add Favourite")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("R - Toggle Repeat Mode")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("T - Open Player Settings")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("I - Increase Player Volume")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("D - Decrease Player Volume")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("S - Toggle Shuffle Mode")
                    description: qsTr("Only When Using a Playlist")
                }
              
                Header {
                    opacity: nightMode?0.8:1
                    title: qsTr("Star Player Home")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title: qsTr("C - Opens the Media Picker")
                }
                StandardListItem {
                    opacity: nightMode?0.8:1
                    title:qsTr( "S - Opens the Stream Dialog")
                }
            }
        }
    }
}