import bb.cascades 1.4

Sheet{
    id: formats
    onCreationCompleted: {open(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr("Internet Streaming")
            
            dismissAction: ActionItem {
                title: qsTr("Close") 
                onTriggered: {
                    close();formats.destroy();
                }
            }
        }
        ScrollView {
            
            Container{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                layout: StackLayout {
                
                }
                Container {
                    topPadding: 10
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageView {
                        opacity: nightMode?0.8:1
                        filterColor: brightTheme? Color.Black: undefined

                        imageSource: "Web_stream.png"
                    }
                }
                Container {
                    leftPadding: 5;rightPadding: 5; topPadding: 10
                    Label {
                        opacity: nightMode?0.8:1
                        multiline: true
                        text:qsTr( "Star Player supports basic HTTP Video and Audio Streaming through the 'Web Stream' Option on the Apps Homescreen, this icon has two states:\n\nRed Dimmed Icon = No Active Internet Connection, the Option will not be available in this state.\n\nWhite Icon = You have an Active Internet Connection and can Stream Content.\n\nPlease Note: Simply Pasting a full URL will NOT work, you need the actual file URL.")
                        textStyle{
                            fontSize: FontSize.PointValue
                            fontSizeValue: 7
                            base: SystemDefaults.TextStyles.PrimaryText
                        }
                    }
                }
               
            
            }
        }
    }

}