import bb.system 1.2
import bb.cascades 1.4
import QtQuick 1.0

Container {
    id: cont
    property string saveName: _app.homePath() +"/"+ "StarPlayerLyricsFile-"+  lyricsEntryTitle +"-"+Qt.formatDateTime (new Date(), "dd-MM-yyyy") +"-" +Qt.formatDateTime (new Date(), "hh-mm-ss") + ".html"
    onCreationCompleted: {console.log(saveName); dio.show();downloadManager.download(requestedDownloadURL, saveName);lyricsDownloading=true;}
   
    attachedObjects: [
        Connections {
            target:mainnav
            onLyricsDownloadCompleted:{_lyricsBookmarks.addToJson( lyricsEntryTitle, saveName, artWorkURI);toast.showText("Lyrics Added to Favourites"); /*globalBob=_app.tester(saveName);creator.createQMLObject("test.qml");*/ dio.cancel();cont.destroy(); }
        },
    SystemDialog{
        id: dio
        title:  qsTr("Saving Lyrics")
        body:  qsTr("Saving Lyrics to Favourites")
        buttonAreaLimit: 2
        activityIndicatorVisible: true
        confirmButton.label: undefined
        cancelButton.label: qsTr("Cancel")
        cancelButton.enabled: true
        onFinished: {
            if (result == SystemUiResult.CancelButtonSelection) {
                downloadManager.cancel(); toast.showText( qsTr("Saving Cancelled"));dio.cancel();cont.destroy();
            }
        }
    }
]
}