import bb.cascades 1.4
import bb.system 1.0
import bb.platform 1.0

Container {
    id: cont
    onCreationCompleted: {
        prompt.show();
    }
    attachedObjects: SystemPrompt {
        id: prompt
        body:  qsTr("This cannot be recovered!")
        modality: SystemUiModality.Application
        inputField.inputMode: SystemUiInputMode.Password
        inputField.emptyText:  ""
        title:  qsTr("New Security Password")
        confirmButton.label:  qsTr("OK")
        cancelButton.label:  qsTr("Cancel")
        cancelButton.enabled: newPassForced?false:true
        onFinished: {
            if(result== SystemUiResult.ConfirmButtonSelection) {
                appsettings.saveSystemSetting("passwordprotectionPS", inputFieldTextEntry()); psw=true;creator.createQMLObject("SecuritySettings.qml")
            
            }
            else{prompt.cancel(); cont.destroy();}
        }
    }
}
