import bb.system 1.0
import bb.cascades 1.0
import timer 1.0

Container {
    id: cont
    onCreationCompleted: {dio.show(); closeTimer.start();nightModeAskDialogOpen=true;}
    
    attachedObjects: [
        SystemTimer{
            id: closeTimer;
            interval: 300000
            onTimeout: {
                dio.cancel(); cont.destroy(1000);
            }
        },
        
    SystemDialog{
        id: dio

        title:  qsTr("Night Mode")
        body:  qsTr("It's getting late, would you like to turn on Night Mode?")
        buttonAreaLimit: 2
        confirmButton.label: qsTr("Yes")
        confirmButton.enabled: true
        cancelButton.label: qsTr("Don't show again for this session")
        cancelButton.enabled: true
        
        customButton.enabled: true
        customButton.label: qsTr("No")
        onFinished: {
            if(result == SystemUiResult.ConfirmButtonSelection) {nightMode=true;nightModeChanged();toast.showText( qsTr("Night Mode Enabled"));nightModeAskDialogOpen=false;}
            else if (result == SystemUiResult.CancelButtonSelection) {
                cancel();nightModeAskDialogOpen=false;stopNightModeTimeCheckerSession();
            }
            else if(result== SystemUiResult.CustomButtonSelection){
                cancel();nightModeAskDialogOpen=false;
            }
        }
    }]
}