import bb.cascades 1.4
import bb.cascades.pickers 1.0
import timer 1.0
import "Custom"

Sheet{
    id: settingspinned
    onCreationCompleted: { open(); toggler.start(); }
    property bool finished:false
    content:Page {
        titleBar: TitleBar {
            appearance: TitleBarAppearance.Branded
            title: qsTr( "Pinned Media Settings")
            
            dismissAction: ActionItem {
                title:  qsTr("Close") 
                onTriggered: {
                    close();settingspinned.destroy();
                }
            }
        }
        attachedObjects:SystemTimer{id:toggler; interval: 500; onTimeout:{finished=true;
            
                 if(appsettings.getSystemSetting("PinnedMediaViewer", "")===""){if(_pinnedVideos.dataModel.size()>=6){}
                 else{
                         togglebutton.enabled=true;}
                 }
                 else{
                     togglebutton.enabled=true;}
            toggler.destroy();}}

        ScrollView {
            id: scroller
            content: Container {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                id: conter
                topPadding: 5
                bottomPadding: 5
                UserInfoBanner{text: "Old Pinned Media Style is limited to 5 Items and does not support Video previews"}

                
                layout: StackLayout { }
                Container {
                    
                    topPadding: 10; leftPadding: device768? 5:15;rightPadding:device768?10: 20
                    layout: DockLayout {}
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label {
                        opacity: nightMode?0.8:1
                        text: qsTr("Use Old Pinned Media Style")
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Left
                        textStyle {
                            base: SystemDefaults.TextStyles.BodyText
                            fontSize: FontSize.PointValue
                            fontSizeValue: device768?6.5: miniSquareDevice?7:8
                        }
                    }
                    
                    ToggleButton {
                        enabled: false
                        opacity: nightMode?0.8:1
                        id: togglebutton
                        horizontalAlignment: HorizontalAlignment.Right
                        checked:appsettings.getSystemSetting("PinnedMediaViewer", "")===""? false:true
                        onCheckedChanged: {
                            if(finished===false){console.log("Denied checked changed");}
                            else if (finished===true){
                                if(appsettings.getSystemSetting("PinnedMediaViewer", "")===""){ appsettings.saveSystemSetting("PinnedMediaViewer", "old");toast.showTextWithButton("Please restart Star Player to Apply saved changes", "Ok", "restart");}
                                else{ appsettings.saveSystemSetting("PinnedMediaViewer", ""); toast.showTextWithButton("Please restart Star Player to Apply saved changes", "Ok", "restart");}
                            
                            }
                        }
                    }
                } 
                

            
            
            }
        }
    }
}