import bb.system 1.2
import bb.cascades 1.4
import QtQuick 1.0
import timer 1.0

Container {
    id: cont
    property string bob
    onCreationCompleted: {dio.show(); dio.cancelButton.enabled=false; dio.cancelButton.label=undefined;
    }
    
    function finished(){dio.cancel();
        playlistMode=true;var page = creator.createQMLObject("PlayerPage.qml");mainnav.push(page);}
    attachedObjects: [
     SystemTimer {
       id: closeTimer; interval: 50; onTimeout: {finished();closeTimer.stop(); }  
     },
        Connections {
            target:_app
            onFolderToPlaylistFinished:{closeTimer.start();}
            onFolderToPlaylistItem:{playQueue.insert({
                        "title": b,
                        "sourceUrl": d
                });
            }
        },
        SystemDialog{
            id: dio
            title: qsTr("Play All")
            body: qsTr("Loading Play All, this may take a while")
            buttonAreaLimit: 2
            autoUpdateEnabled: true
            activityIndicatorVisible: true
            confirmButton.label: undefined
            cancelButton.label: qsTr("Cancel")
            cancelButton.enabled: true
        
        }
    ]
}