import bb.cascades 1.4
import bb.system 1.2
import bb.platform 1.0
import timer 1.0

Container {
    id: cont
    onCreationCompleted: {prompt.show();}
    attachedObjects: [SystemPrompt {
            id: prompt
            inputField.inputMode: SystemUiInputMode.Password
            title: qsTr("Enter Password")
            autoUpdateEnabled: true
            dismissAutomatically: false
            body: qsTr("Please enter your Star Player Password to continue")
            buttonAreaLimit: 2
            confirmButton.label: qsTr("Ok")
            confirmButton.enabled: true
           cancelButton.enabled: true
            cancelButton.label: qsTr("Cancel")
            onFinished: {if(result == SystemUiResult.ConfirmButtonSelection) {if(_app.passwordCheck(inputFieldTextEntry())===true){prompt.cancel();creator.createQMLObject("RecentlyPlayed.qml");}
            else {toast.showText(qsTr("Password Incorrect"))}
            }
            
            else if(result== SystemUiResult.CancelButtonSelection){
                prompt.cancel();
            }
            }
    }]
}
